For AI agents: a documentation index is available at the root level at /llms.txt and /llms-full.txt. Append /llms.txt to any URL for a page-level index, or .md for the markdown version of any page.
API StatusPartner Portal
HomeGuidesAPI ExplorerSDKsGitHubSupport
HomeGuidesAPI ExplorerSDKsGitHubSupport
  • API Concepts
    • Overview
    • Environments and URLs
    • Authentication
    • API versioning
    • Rate limiting
    • HTTP headers
    • Pagination, sorting, and filtering
  • General
  • Common
  • Accounts payable
  • Accounts receivable
      • GETGet custom VAT rates
      • POSTCreate a custom VAT rate
      • GETGet a custom VAT rate by ID
      • DELDelete a custom VAT rate
      • PATCHUpdate a custom VAT rate
  • E-invoicing
  • Payments
  • Accounting integration
  • Expense management
  • Utilities
LogoLogo
API StatusPartner Portal
Accounts receivableCustom VAT rates

Get a custom VAT rate by ID

GET
/custom_vat_rates/:custom_vat_rate_id
GET
/v1/custom_vat_rates/:custom_vat_rate_id
$curl https://api.sandbox.monite.com/v1/custom_vat_rates/custom_vat_rate_id \
> -H "x-monite-version: 2024-01-31" \
> -H "x-monite-entity-id: 9d2b4c8f-2087-4738-ba91-7359683c49a4" \
> -H "Authorization: Bearer <token>"
1{
2 "id": "id",
3 "created_at": "2024-01-15T09:30:00Z",
4 "updated_at": "2024-01-15T09:30:00Z",
5 "components": [
6 {
7 "name": "name",
8 "value": 1.1
9 }
10 ],
11 "name": "name",
12 "value": 1.1,
13 "created_by_entity_user_id": "created_by_entity_user_id"
14}
Was this page helpful?
Previous

Delete a custom VAT rate

Next
Built with

Authentication

AuthorizationBearer

Bearer authentication of the form Bearer <token>, where token is your auth token.

Path parameters

custom_vat_rate_idstringRequired

Headers

x-monite-versionstringRequired
x-monite-entity-idstringRequired
The ID of the entity that owns the requested resource.

Response

Successful Response
idstringformat: "uuid"
created_atdatetime
Time at which the Custom VAT rate was created. Timestamps follow the ISO 8601 standard.
updated_atdatetime
Time at which the Custom VAT rate was last updated. Timestamps follow the ISO 8601 standard.
componentslist of objects

Sub-taxes included in the Custom VAT.

namestring<=64 characters
Display name of the Custom VAT.
valuedouble

Total sum of the Custom VAT rate including components. Percent multiplied by a 100. Example: 12.125% is 1212.5.

created_by_entity_user_idstringformat: "uuid"
ID of the user that created the Custom VAT rate

Errors

400
Get Custom Vat Rates ID Request Bad Request Error
401
Get Custom Vat Rates ID Request Unauthorized Error
403
Get Custom Vat Rates ID Request Forbidden Error
404
Get Custom Vat Rates ID Request Not Found Error
422
Get Custom Vat Rates ID Request Unprocessable Entity Error
500
Get Custom Vat Rates ID Request Internal Server Error